API Explorer 1884 endpoints

Get Public operator by id

GET /obp/v7.0.0/banks/ogcr/dynamic-entities/public/operator/OPERATOR_ID

OBPv7.0.0-dynamicEntity_getSinglePublicoperator_ogcr No role required _Operator(ogcr)Dynamic-EntityDynamic

Get Public operator by id.

‘operator’ means any natural or legal person or public entity that operates or controls an activity, or to whom or to which decisive economic power over the technical functioning of the activity has been delegated;. This Dynamic Entity is part of OGCR.

Property List:

  • operator_id: Internal identifier for the operator entity
  • legal_name: Legal name of the Operator.
  • email: Operator email address.
  • phone: Operator contact phone in international format.
  • address_line_1: Operator primary street address (street name, building number, P.O. Box if applicable)
  • address_line_2: Operator secondary, optional details like apartment, suite, unit, floor, or building name
  • postcode: Operator postcode
  • country_id: ISO 3166-1 alpha-2 country code for operator address.
  • ogcr_wallet_address: Wallet address to send NFTs and carbon credits to after evaluation period

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"operator"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

Authentication is Optional

User Authentication is Optional. The User need not be logged in.

Example success response
{
  "bank_id": "ogcr",
  "operator": {
    "operator_id": "op_01JS0347FKH",
    "legal_name": "Agreena",
    "email": "contact@example.com",
    "phone": "+49 123 456 789",
    "address_line_1": "Green Street, 20",
    "address_line_2": "Suite 400",
    "postcode": "10115\" or \"W1K 3JP",
    "country_id": "DE",
    "ogcr_wallet_address": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z"
    }
  }
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_getSinglePublicoperator_ogcr Originally /banks/ogcr/dynamic-entities/public/operator/OPERATOR_ID